Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeCreate

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeTransform
          com.verisign.epp.codec.fee.v07.EPPFeeCreate

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeCreate

extends EPPFeeTransform

Fee Create Extension that enables a client to pass the expected fee for the create command.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeCreate`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeCreate`.

Constructor Summary
`EPPFeeCreate()` Default constructor for `EPPFeeCreate`.
`EPPFeeCreate(EPPFeeValue aFee)` Constructor for `EPPFeeCreate` that takes the required parameter of at least one fee.
`EPPFeeCreate(java.util.List<EPPFeeValue> aFees, java.lang.String aCurrency)` Constructor for `EPPFeeCreate` that takes all attributes.

Method Summary
`protected java.lang.String` | `getLocalName()` Returns the local name "create" for the create extension.

Methods inherited from class com.verisign.epp.codec.fee.v07.EPPFeeTransform
`addFee, clone, decode, encode, equals, getCurrency, getFees, hasCurrency, hasFees, setCurrency, setFees, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeCreate`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeCreate`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeCreate

    public EPPFeeCreate()

  Default constructor for `EPPFeeCreate`.

### EPPFeeCreate

    public EPPFeeCreate(EPPFeeValue aFee)

  Constructor for `EPPFeeCreate` that takes the required parameter of at least one fee.

  Parameters:
    `aFee` - A single fee value

### EPPFeeCreate

    public EPPFeeCreate(java.util.List<EPPFeeValue> aFees,
                        java.lang.String aCurrency)

  Constructor for `EPPFeeCreate` that takes all attributes.

  Parameters:
    `aFees` - List of fees
    `aCurrency` - Currency of the fee

Method Detail

### getLocalName

    protected java.lang.String getLocalName()

  Returns the local name "create" for the create extension.

  Specified by:
    `getLocalName` in class `EPPFeeTransform`
  Returns:
    Local name "create" for the create extension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.